* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100vh;
}

body {background-color: rgb(40, 69, 113);
/*  background: url(../img/barras.png) no-repeat right center fixed; */
  font-family: Roboto, Arial, sans-serif;
  display: flex;
/*  align-items: center;
  justify-content: center;*/
}

body {
  background-image: url("../img/barras.png");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: right; 
}


.navigation__checkbox {
	display: none;
}

.navigation__button {
	bottom: -3em; /* 2 */
    left: calc(50% - 6.5em);
    position: fixed;
    height: 7rem;
    width: 7rem;
    text-align: center;
    background-color: #ffeb2d;
    border-radius: 50%;
    z-index: 300;
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.navigation__background {
	bottom: -3em; /* 2 */
    left: calc(50% - 6.5em);
    position: fixed;
    height: 7rem;
    width: 7rem;
    border-radius: 50%;
    background: #1280c3;
    background-size: cover;
    background-position: center;
    z-index: 100;
    transition: all 800ms cubic-bezier(0.86, 0, 0.07, 1);
}

@media(min-width: 768px) {
    .navigation__button,
    .navigation__background {
        left: calc(50% - 1.5em);
    }
}

.navigation__nav {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    opacity: 0;
    width: 0;
    visibility: hidden;
    z-index: 200;
    transition: all 800ms cubic-bezier(0.86, 0, 0.07, 1);
}

.navigation__list {
    /*@include center;*/
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
    list-style: none;
}

.navigation__item {
    margin: 1rem;
}

.navigation__link:link,
.navigation__link:visited {
    display: inline-block;
    padding: 0.4rem 1rem;
    text-transform: uppercase;
    color: #f4f4f4;
    font-size: 1rem;
    text-decoration: none;
    transition: all .2s;
}

@media(min-width: 768px) {
    .navigation__link:link,
    .navigation__link:visited {
        font-size: 1.5rem;
    }
}

.navigation__link span {
    margin-right: 1rem;
    display: inline-block;
}

.navigation__link:hover {
    color: #FFE900;
    transform: scale(1.1);
}

.navigation__checkbox:checked~.navigation__background {
    transform: scale(80)
}

.navigation__checkbox:checked~.navigation__nav {
    width: 100%;
    visibility: visible;
    opacity: 1;
}

.navigation__icon {

    position: relative;
    margin-top: 2rem;
}

@media screen and (min-width: 768px) {
    .navigation__icon {
        margin-top: 2.5rem;
    }
}

.navigation__icon,
.navigation__icon::before,
.navigation__icon::after {
    display: inline-block;
    width: 2.2rem;
    height: 4px;
    background-color: #1280c3;
}

@media (min-width: 768px) {
    .navigation__icon,
    .navigation__icon::before,
    .navigation__icon::after {
        width: 3rem;
    }
}

.navigation__icon::before,
.navigation__icon::after {
    content: '';
    position: absolute;
    left: 0;
    transition: all 200ms;
}

.navigation__icon::before {
    top: -.8rem;
}

.navigation__icon::after {
    top: .8rem;
}

.navigation__button:hover .navigation__icon::before {
    top: -1rem;
}

.navigation__button:hover .navigation__icon::after {
    top: 1rem;
}

.navigation__checkbox:checked+.navigation__button .navigation__icon {
    background-color: transparent;
}

.navigation__checkbox:checked+.navigation__button .navigation__icon::before {
    top: 0;
    transform: rotate(135deg);
}

.navigation__checkbox:checked+.navigation__button .navigation__icon::after {
    top: 0;
    transform: rotate(-135deg);
}


.subnav {
  float: center;
  overflow: hidden;
  margin: 1rem;
}

.subnav .subnavbtn {
  font-size: 1.5rem;  
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
}

@media(max-width: 768px) {
    .subnav .subnavbtn {
        font-size: 1rem;
    }
}

.navigation__nav a:hover, .subnav:hover .subnavbtn {
    color: #FFE900;
    transform: scale(1.1);
}

.subnav-content {
  display: none;
  position: absolute;
  font-size: 1.2rem;
  width: 100%;
  z-index: 1;
}

@media(max-width: 768px) {
    .subnav-content {
        font-size: 0.8rem;
    }
}

.subnav-content a {
  float: center;
  color: white;
  text-decoration: none;
}

.subnav-content a:hover {
  background-color: #FFE900;
  color: black;
}

.subnav:hover .subnav-content {
  display: block;
}